'use strict';
const { sep } = require('path');
const ip = '127.0.0.1';
module.exports = () => {
  const config = (exports = {});

  config.logger = {
    level: 'DEBUG',
    consoleLevel: 'DEBUG',
  };

  config.wxapi = {
    appid: 'wxd2e28415cb866c0b', // 微信公众号APPID
    baseUrl: 'http://www.jilinjobswx.cn', // 微信网关地址
    sendDirMq: 'http://www.jilinjobswx.cn/api.weixin.qq.com/cgi-bin/message/template/send?appid=',
  };
  config.cdn = {
    repos_root_path: `D:\\temp${sep}upload`,
    repos_root_url_excel: `${sep}excel${sep}`,
    repos_root_url_experience: `${sep}experience${sep}`,
    repos_root_url_zip: `${sep}zip${sep}`,
  };

  // 服务器发布路径
  config.baseUrl = 'http://jytz.jilinjobs.cn';
  // 认证回调地址
  config.authUrl = '/api/auth';

  // mq config
  config.amqp = {
    client: {
      hostname: ip,
      username: 'visit',
      password: 'visit',
      vhost: 'train',
    },
    app: true,
    agent: true,
  };

  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: ip, // Redis host
      password: '123456',
      db: 0,
    },
  };

  config.mongoose = {
    url: 'mongodb://localhost:27017/train',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
      useUnifiedTopology: true,
    },
  };

  config.yunjiuye = {
    toBindPage: 'http://127.0.0.1:8008/y/', // 云就业绑定页面
    toDealTokenPage: 'http://127.0.0.1:8008/y/deal', // 云就业免登录处理token路由
  };

  return config;
};
